import arcpy
import os

# gather all the .las files in the current directory and create a lasd file from them
arcpy.env.overwriteOutput = True
lasdFile = arcpy.GetParameterAsText(0)
dataAreaShapeFile = os.path.join(os.path.dirname(lasdFile), "DataArea.shp")
dataAreaParameter = "'" + dataAreaShapeFile + "' <None> Soft_Clip"

try:
    arcpy.AddFilesToLasDataset_management(
        lasdFile,
        None,
        "NO_RECURSION",
        dataAreaParameter,
    )
    arcpy.AddMessage(arcpy.GetMessages())
except Exception as e:
    arcpy.AddMessage(arcpy.GetMessages(2))
